#include <bits/stdc++.h>

using namespace std;
int main() {
	ifstream f1("TKNP.INP");
	ofstream f2("TKNP.OUT");
	int n,i,k,kt=0;
    f1>>n>>k;
    int a[n+1];
    for (i=1;i<=n;i++)
    {if (a[i]==k)
    {   kt=1;
	f2<<i<<" ";
	}}
    if (kt==0) f2<<-1;

}

